// This program is designed for OKI-E5003 board
// It shows how to read/write to MMC card

#include <ioml67q5003.h>
#include "mmc.h"
#include "system.h"
#include  <string.h>

// simple delay
void Delay (unsigned long a) { while (--a!=0); }

extern char mmc_buffer[512];

int main()
{

  // Freq init
  FreqInit();


  // init MMC
  if (initMMC() == MMC_SUCCESS)	
  {
    memset(&mmc_buffer,0,512);
    mmcReadRegister (10, 16);
    mmc_buffer[7]=0;

    // Fill first Block (0) with 'A'
    memset(&mmc_buffer,'0',512);
    // Write block at address 0
    mmcWriteBlock(0);

    // Fill second Block (1)-AbsAddr 512 with 'B'
    memset(&mmc_buffer,'1',512);
    // Write block at address 512
    mmcWriteBlock(512);

    // Read first Block back to buffer
    memset(&mmc_buffer,0x00,512);
    // Read block from address 0
    mmcReadBlock(0,512);

    // Read first Block back to buffer
    memset(&mmc_buffer,0x00,512);
    // Read block from address 512
    mmcReadBlock(512,512);

  }


  // loop forever
  while(1) {

  }
}
